Subject: Re: RFC: Redirect-Device

From: Ben Greear <[email-masked]>
Date: Thu, 31 Mar 2005 14:04:11 -0800

David S. Miller wrote:
> On Thu, 31 Mar 2005 13:45:38 -0800
> Ben Greear <[email-masked]> wrote:
> 
> 
>>>	Adding new ioctl's are very frowned on
>>
>>Bummer.  I want these as well, makes programatic reading of the information
>>much easier than trying to parse some proc file.  I will look into what it
>>takes to make them compat with 64-bit as DaveM suggested.
> 
> 
> You could extend and use ethtool.  That is what it's there for.

The IOCTLs I need are very specific and will only be used for
the redirect module.  I don't think it would be worth adding
a function pointer to the ethtool-ops, but if that is what you
prefer I can do so.

With regard to the compat:  I did a quick search for 'vlan' in that
file, thinking I'd mimic whatever was done for the .1q module.  There
is no mention of vlan anywhere in there.  Does that mean that so long
as I don't use pointers, strictly define my data types (u32, etc),
and make sure the ioctl structs are padded to 32-bit (or maybe 64-bit?)
boundaries, I don't need any 64-bit compat code?

Thanks,
Ben

-- 
Ben Greear <[email-masked]>
Candela Technologies Inc  http://www.candelatech.com